org.eclipse.eef.properties.ui.legacy.internal.legacy2eef

## Class EEFLegacyTabbedPropertySheetWidgetFactory

- java.lang.Object
- - org.eclipse.ui.forms.widgets.FormToolkit
  - - org.eclipse.eef.common.ui.api.EEFWidgetFactory
    - - org.eclipse.eef.properties.ui.legacy.internal.legacy2eef.EEFLegacyTabbedPropertySheetWidgetFactory

    public class EEFLegacyTabbedPropertySheetWidgetFactory
    extends EEFWidgetFactory

Wraps an `TabbedPropertySheetWidgetFactory` to an `EEFTabbedPropertySheetWidgetFactory`.

### Field Summary

### Fields inherited from class org.eclipse.ui.forms.widgets.FormToolkit

`KEY_DRAW_BORDER, TEXT_BORDER, TREE_BORDER`

### Constructor Summary

Constructors
Constructor and Description
`EEFLegacyTabbedPropertySheetWidgetFactory(org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory widgetFactory)` The constructor.

### Method Summary

### Methods inherited from class org.eclipse.eef.common.ui.api.EEFWidgetFactory

`createButton, createCCombo, createCCombo, createCLabel, createCLabel, createComposite, createComposite, createFlatFormComposite, createGroup, createHyperlink, createLabel, createList, createPlainComposite, createScrolledComposite, createSection, createStyledText, createTabFolder, createTabItem, createTable, dispose`

### Methods inherited from class org.eclipse.ui.forms.widgets.FormToolkit

`adapt, adapt, createCompositeSeparator, createExpandableComposite, createForm, createFormText, createImageHyperlink, createLabel, createPageBook, createScrolledForm, createSeparator, createText, createText, createTree, decorateFormHeading, ensureVisible, getBorderMargin, getBorderStyle, getColors, getHyperlinkGroup, getOrientation, paintBordersFor, refreshHyperlinkColors, setBackground, setBorderStyle, setControlVisible, setOrientation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFLegacyTabbedPropertySheetWidgetFactory

    public EEFLegacyTabbedPropertySheetWidgetFactory(org.eclipse.ui.views.properties.tabbed.TabbedPropertySheetWidgetFactory widgetFactory)

The constructor.

Parameters:
  `widgetFactory` - A legacy widget factory